package com.hzya.frame.sys.thirdparty.api.parameter.dao;

import com.hzya.frame.sys.thirdparty.api.parameter.entity.SysThirdpartyapiParameter;

import java.util.List;

/**
 * @description: 第三方应用接口参数表  dao
 * @tableName: sys_thirdparty_api_parameter
 * @entityName: SysThirdpartyapiParameter
 * @author: gjh
 * @history: 1.0
 */
public interface ISysThirdpartyapiParameterMapper {

    //通过ID获取数据    entity_get
    SysThirdpartyapiParameter entity_get(String id);

    //查询 采用==查询   entity_list_base
    List<SysThirdpartyapiParameter> entity_list_base(SysThirdpartyapiParameter entity);

    //  查询符合条件的数量
    Integer entity_count(SysThirdpartyapiParameter entity);

    //分页查询列表 采用like格式 entity_list_like
    List<SysThirdpartyapiParameter> entity_list_like(SysThirdpartyapiParameter entity);

    //查询列表 字段采用or格式   entity_list_or
    List<SysThirdpartyapiParameter> entity_list_or(SysThirdpartyapiParameter entity);

    //新增  entity_insert
    Integer entity_insert(SysThirdpartyapiParameter entity);

    //修改  entity_update
    Integer entity_update(SysThirdpartyapiParameter entity);

    //逻辑删除    entity_delete
    Integer entity_logicDelete(SysThirdpartyapiParameter entity);

    //逻辑删除多条件
    Integer entity_logicDelete_Multi_Condition(SysThirdpartyapiParameter entity);

    //物理删除
    Integer entity_delete(SysThirdpartyapiParameter entity);


    Integer delect_by_ThirdpartyApiId(List<String> interviceids);
}
